server:
  port: 5787
  servlet:
    context-path: "/cb"

springdoc:
  api-docs:
    enabled: true
  swagger-ui:
    enabled: true

spring:
  liquibase:
    change-log: "classpath:db/changelog/main-liquibase.xml"

  datasource:
    url: "jdbc:h2:mem:cookbook"
    driver-class-name: "org.h2.Driver"
    username: "sa"
    password: "password"
  jpa:
    database-platform: "org.hibernate.dialect.H2Dialect"

config:
  security:
    jwt-secret: "4pE8z3PBoHjnV1AhvGk+e8h2p+ShZpOnpr8cwHmMh1w="
    jwt-refresh-secret: "4pE8z3PBoHjnV1AhvGk+e8h2p+ShZpOnpr8cwHmMh1w="
    token-lifespan: 300
    token-refresh-lifespan: 900


